Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005135opensim[REGION] Script Functionspublic2010-10-24 09:142011-05-06 18:51
ReporterWhiteStar 
Assigned ToWhiteStar 
PrioritynormalSeveritymajorReproducibilitysometimes
StatusclosedResolutionsuspended 
PlatformOSOS Version
Product Versionmaster (dev code) 
Target VersionFixed in Version 
Summary0005135: osTeleportAgent cause Viewer Internal Error on Arrival = 50% crash rate
DescriptionFrom The original version which OSG deployed to current OpenSim 0.7.1 Dev 80f9022-r/14257 (interface version 6)

I noticed this at first and assumed it could be other issues but now verified that this is a random occuring issues in 07x code. Posted as Major, as this affects all Variations of osTeleportAgent and has several unlpleasant side effects.

Using osTeleportAgent(all polymorphic variations) will often create an error displayed on the viewer as "Could not Teleport Internal Error" click OK. 50% of the time you do complete the teleport but a variety of failures like attachments or textures seems to get buggered up. 20% of the time it results in Viewer Crash (a lot more if HG user). Rest of the time it's ok.

tested with Imprudence Experimental, Hippo 6.3x. This does not seem to be a Viewer Issue as both have similar messages / issues.
TagsNo tags attached.
Git Revision or version number80f9022-r/14257
Run Mode Grid (Multiple Regions per Sim)
Physics EngineODE
Environment.NET / Windows64
Mono VersionNone
Viewer
Attached Files

- Relationships
parent of 0005136closedDiva osTeleportAgent no longer works with host:port:region format 

-  Notes
(0017107)
aiaustin (developer)
2010-10-24 16:31
edited on: 2010-10-24 16:32

WhiteStar, I am not sure 5136 is the same issue you report here. Its a simpler issue of the host:port:region format not working at all I think. 100% of the time.

Note I was using SL Viewer 1.23.

(0017108)
WhiteStar (reporter)
2010-10-24 16:41

as I noted above, all variations of osTeleportAngent seem to be affected. I don't particularly think this is specific to osTP but something else changed somewhere. I've noted some other osFunctions are misbehaving and I'm testing them too.
(0017109)
Bruce (reporter)
2010-10-24 17:36

+1 White. Confirming this also occurs with Standalone Hypergrid. TPs fail when going to different regions in the same grid and this on exactly the 3rd TP with error [LLUDPSERVER]: Connection request for client [UUID] connecting with unnotified circuit code 527411362 from 209.59.113.55:60962. Also the destination region for the 3rd TP (the one which failed) is no longer shown on the Mini-Map after that failure.
(0017272)
WhiteStar (reporter)
2010-11-13 02:37

Pointless as it appears no one cares if more support issues are generated as a result.

- Issue History
Date Modified Username Field Change
2010-10-24 09:14 WhiteStar New Issue
2010-10-24 09:14 WhiteStar Git Revision => 80f9022-r/14257
2010-10-24 09:14 WhiteStar SVN Revision => 0
2010-10-24 09:14 WhiteStar Run Mode => Grid (Multiple Regions per Sim)
2010-10-24 09:14 WhiteStar Physics Engine => ODE
2010-10-24 09:14 WhiteStar Environment => .NET / Windows64
2010-10-24 09:14 WhiteStar Mono Version => None
2010-10-24 14:35 WhiteStar Relationship added parent of 0005136
2010-10-24 16:31 aiaustin Note Added: 0017107
2010-10-24 16:32 aiaustin Note Edited: 0017107
2010-10-24 16:41 WhiteStar Note Added: 0017108
2010-10-24 17:36 Bruce Note Added: 0017109
2010-11-13 02:37 WhiteStar Status new => resolved
2010-11-13 02:37 WhiteStar Resolution open => suspended
2010-11-13 02:37 WhiteStar Assigned To => WhiteStar
2010-11-13 02:37 WhiteStar Note Added: 0017272
2011-05-06 18:51 chi11ken Status resolved => closed


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker